commit d668e889746ec71f47a9e732cce1b191f1df0483
Author: Adam Mištera <amistera@students.zcu.cz>
Date:   Fri Apr 24 10:48:27 2020 +0200

    Issue #7848 @2h
    [+] Oprava vizualizace homepage

diff --git a/package-lock.json b/package-lock.json
index e2b5178..247d3bb 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -4083,8 +4083,7 @@
                 "ansi-regex": {
                     "version": "2.1.1",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "aproba": {
                     "version": "1.2.0",
@@ -4105,14 +4104,12 @@
                 "balanced-match": {
                     "version": "1.0.0",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "brace-expansion": {
                     "version": "1.1.11",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "balanced-match": "^1.0.0",
                         "concat-map": "0.0.1"
@@ -4127,20 +4124,17 @@
                 "code-point-at": {
                     "version": "1.1.0",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "concat-map": {
                     "version": "0.0.1",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "console-control-strings": {
                     "version": "1.1.0",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "core-util-is": {
                     "version": "1.0.2",
@@ -4257,8 +4251,7 @@
                 "inherits": {
                     "version": "2.0.4",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "ini": {
                     "version": "1.3.5",
@@ -4270,7 +4263,6 @@
                     "version": "1.0.0",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "number-is-nan": "^1.0.0"
                     }
@@ -4285,7 +4277,6 @@
                     "version": "3.0.4",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "brace-expansion": "^1.1.7"
                     }
@@ -4293,14 +4284,12 @@
                 "minimist": {
                     "version": "1.2.5",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "minipass": {
                     "version": "2.9.0",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "safe-buffer": "^5.1.2",
                         "yallist": "^3.0.0"
@@ -4319,7 +4308,6 @@
                     "version": "0.5.3",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "minimist": "^1.2.5"
                     }
@@ -4381,8 +4369,7 @@
                 "npm-normalize-package-bin": {
                     "version": "1.0.1",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "npm-packlist": {
                     "version": "1.4.8",
@@ -4410,8 +4397,7 @@
                 "number-is-nan": {
                     "version": "1.0.1",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "object-assign": {
                     "version": "4.1.1",
@@ -4423,7 +4409,6 @@
                     "version": "1.4.0",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "wrappy": "1"
                     }
@@ -4501,8 +4486,7 @@
                 "safe-buffer": {
                     "version": "5.1.2",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "safer-buffer": {
                     "version": "2.1.2",
@@ -4538,7 +4522,6 @@
                     "version": "1.0.2",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "code-point-at": "^1.0.0",
                         "is-fullwidth-code-point": "^1.0.0",
@@ -4558,7 +4541,6 @@
                     "version": "3.0.1",
                     "bundled": true,
                     "dev": true,
-                    "optional": true,
                     "requires": {
                         "ansi-regex": "^2.0.0"
                     }
@@ -4602,14 +4584,12 @@
                 "wrappy": {
                     "version": "1.0.2",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 },
                 "yallist": {
                     "version": "3.1.1",
                     "bundled": true,
-                    "dev": true,
-                    "optional": true
+                    "dev": true
                 }
             }
         },
diff --git a/public/css/app.css b/public/css/app.css
index 6180e8f..0ae9ec9 100644
--- a/public/css/app.css
+++ b/public/css/app.css
@@ -1,4 +1,4 @@
-@import url(https://fonts.googleapis.com/css?family=Nunito);@charset "UTF-8";
+@import url(https://fonts.googleapis.com/css?family=Nunito);@import url(https://db.onlinewebfonts.com/c/2090551770be22b09600a40b0b4673b7?family=Avenir+Medium);@import url(https://db.onlinewebfonts.com/c/275de2221d9f0c4c9257d17f5a1e4006?family=Avenir+Black);@import url(https://db.onlinewebfonts.com/c/1a045963159927274c92b0444fb83c17?family=Avenir);@charset "UTF-8";
 
 /*!
  * Bootstrap v4.4.1 (https://getbootstrap.com/)
@@ -10894,61 +10894,97 @@ body .head-title h1 {
   letter-spacing: 3px;
 }
 
-body .carousel .carousel-inner img {
-  -webkit-filter: grayscale(100%);
-          filter: grayscale(100%);
+body .carousel .carousel-inner .museum-logo {
+  display: flex;
+  justify-content: center;
+  position: absolute;
+  top: 5%;
+  width: 100%;
+  z-index: 1;
+}
+
+body .carousel .carousel-inner .social-logo {
+  text-align: center;
+  justify-content: space-between;
+  flex-wrap: nowrap;
+  position: absolute;
+  top: 25%;
+  padding-left: 25px;
+  width: 100%;
+  z-index: 1;
+}
+
+body .carousel .carousel-inner .carousel-button {
+  bottom: 10%;
+  left: 50%;
+  transform: translateX(-50%);
+  position: absolute;
+  z-index: 1;
+}
+
+body .carousel .carousel-inner .carousel-item {
+  height: 100vh;
+  min-height: 350px;
+  background: no-repeat center center scroll;
+  background-size: cover;
 }
 
 body .carousel .carousel-caption {
-  top: 20%;
-  bottom: 20%;
+  top: 50%;
+  bottom: auto;
+  transform: translateY(-50%);
   background-color: rgba(239, 218, 179, 0.5);
 }
 
 body .carousel .carousel-caption h2 {
+  font-family: Avenir Black;
   font-size: 11pt;
   letter-spacing: 3pt;
   color: #ffff;
 }
 
 body .carousel .carousel-caption p {
-  font-size: 9pt;
+  font-size: 8pt;
   color: #000;
 }
 
-body .card-body {
-  background-color: #272727;
-  font-family: Avenir;
-  color: #ead4b0;
+body .auth .card {
+  border: none;
+  text-align: center;
+  font-size: 8pt;
 }
 
-body .btn-primary {
-  background-color: #272727;
-  border-color: #ffffff;
+body .auth .btn {
+  font-size: 8pt;
 }
 
-body .btn-primary:hover {
-  background-color: #ffffff;
-  color: #272727;
-  border-color: #ffffff;
+body .auth .col-form-label {
+  text-align: left;
+  padding-top: 0px;
+  padding-bottom: 0px;
 }
 
-body .btn-primary:focus {
-  background-color: #ffffff;
-  color: #272727;
-  border-color: #ffffff;
-  outline: none !important;
-  box-shadow: none !important;
+body .auth .form-control {
+  padding: 0px;
+  height: 17pt;
 }
 
-body .btn-primary:active {
-  background-color: #ffffff;
-  color: #272727;
-  border-color: #ffffff;
-  outline: none !important;
-  box-shadow: none !important;
-  background-color: transparent !important;
-  border-color: transparent !important;
+body .auth .button-square {
+  width: 100pt;
+}
+
+body .card-body {
+  background-color: #272727;
+  font-family: Avenir;
+  color: #ead4b0;
+}
+
+body .logo {
+  color: #ffffff;
+  font-size: 11pt;
+  font-family: Avenir Black;
+  width: 100pt;
+  letter-spacing: 1pt;
 }
 
 body .form-control {
@@ -10957,15 +10993,32 @@ body .form-control {
   border-top-color: #272727;
   border-left-color: #272727;
   border-right-color: #272727;
-  border-bottom-color: #ffffff;
+  border-bottom-color: 0.5pt #ffffff;
   color: #ffffff;
+  box-shadow: none;
+  font-size: 8pt;
+}
+
+body .form-control:focus {
+  background-color: #272727;
+  margin-top: -1px;
+  border-top-color: #272727;
+  border-left-color: #272727;
+  border-right-color: #272727;
+  border-bottom-color: 0.5pt #ffffff;
+  color: #ffffff;
+  box-shadow: none;
+  font-size: 8pt;
 }
 
 body .button-square {
-  background-color: #000;
+  font-size: 8pt;
+  background-color: #272727;
   color: #ffff;
-  border: 1pt solid #ffff;
+  border: 0.5pt solid #ffff;
   border-radius: 0;
+  width: 28mm;
+  height: 8mm;
 }
 
 body .button-image {
@@ -11108,3 +11161,16 @@ body .content .btn-circle.rounded-circle.btn-xl:active {
   }
 }
 
+@media only screen and (max-width: 540px) {
+  body .carousel .carousel-inner .social-logo {
+    padding-left: 30px;
+    top: 20%;
+  }
+}
+
+@media (min-width: 330px) and (max-height: 900px) {
+  body .carousel .carousel-inner .social-logo {
+    top: 25%;
+  }
+}
+
diff --git a/public/images/homepage/carousel_1.jpg b/public/images/homepage/carousel_1.jpg
new file mode 100644
index 0000000..c3ccc97
Binary files /dev/null and b/public/images/homepage/carousel_1.jpg differ
diff --git a/public/images/homepage/logo_1.jpg b/public/images/homepage/logo_1.jpg
deleted file mode 100644
index 5ebb783..0000000
Binary files a/public/images/homepage/logo_1.jpg and /dev/null differ
diff --git a/public/images/icons/facebook.png b/public/images/icons/facebook.png
new file mode 100644
index 0000000..7fd3b7a
Binary files /dev/null and b/public/images/icons/facebook.png differ
diff --git a/public/images/icons/instagram.png b/public/images/icons/instagram.png
new file mode 100644
index 0000000..cc37851
Binary files /dev/null and b/public/images/icons/instagram.png differ
diff --git a/public/images/icons/upm-logo.png b/public/images/icons/upm-logo.png
new file mode 100644
index 0000000..08a9d8f
Binary files /dev/null and b/public/images/icons/upm-logo.png differ
diff --git a/public/images/icons/wikipedia.png b/public/images/icons/wikipedia.png
new file mode 100644
index 0000000..0d50069
Binary files /dev/null and b/public/images/icons/wikipedia.png differ
diff --git a/resources/sass/_custom.scss b/resources/sass/_custom.scss
index 2ee68c9..63c4400 100644
--- a/resources/sass/_custom.scss
+++ b/resources/sass/_custom.scss
@@ -14,17 +14,53 @@ body {
 
     .carousel {
         .carousel-inner {
-            img {
-                filter: grayscale(100%);
+            .museum-logo {
+                display: flex;
+                justify-content: center;
+                position: absolute;
+                top: 5%;
+                width: 100%;
+                z-index: 1;
+            }
+
+            .social-logo {
+                text-align: center;
+                justify-content: space-between;
+                flex-wrap: nowrap;
+                position: absolute;
+                top: 25%;
+                padding-left: 25px;
+                width: 100%;
+                z-index: 1;
+            }
+
+            .carousel-button {
+                bottom: 10%;
+                left: 50%;
+                transform: translateX(-50%);
+                position: absolute;
+                z-index: 1;
+            }
+
+            .carousel-item {
+                height: 100vh;
+                min-height: 350px;
+                background: no-repeat center center scroll;
+                -webkit-background-size: cover;
+                -moz-background-size: cover;
+                -o-background-size: cover;
+                background-size: cover;
             }
         }
 
         .carousel-caption {
-            top: 20%;
-            bottom: 20%;
+            top: 50%;
+            bottom: auto;
+            transform: translateY(-50%);
             background-color:  rgba(239, 218, 179, 0.5);
 
             h2 {
+                font-family: Avenir Black;
                 font-size: 11pt;
                 letter-spacing: 3pt;
                 color: $white;
@@ -32,7 +68,7 @@ body {
             }
 
             p {
-                font-size: 9pt;
+                font-size: 8pt;
                 color: $black;
             }
         }
@@ -107,10 +143,13 @@ body {
     }
 
     .button-square {
-        background-color: $black;
+        font-size: 8pt;
+        background-color: $cusBlack;
         color: $white;
-        border: 1pt solid $white;
+        border: 0.5pt solid $white;
         border-radius: 0;
+        width: 28mm;
+        height: 8mm;
     }
 
     .button-image {
@@ -237,8 +276,6 @@ body {
     }
 }
 
-
-
 @media only screen and (max-width: 540px)
 {
     .head-title.text-center h1
@@ -264,3 +301,30 @@ body {
         height: 180px;
     }
 }
+
+@media only screen and (max-width: 540px)
+{
+    body{
+        .carousel {
+            .carousel-inner {
+                .social-logo {
+                    padding-left: 30px;
+                    top: 20%;
+                }
+            }
+        }
+    }
+}
+
+@media (min-width: 330px) and (max-height: 900px)
+{
+    body{
+        .carousel {
+            .carousel-inner {
+                .social-logo {
+                    top: 25%;
+                }
+            }
+        }
+    }
+}
diff --git a/resources/views/artefact/default.blade.php b/resources/views/artefact/default.blade.php
index 232d8df..ac565b8 100644
--- a/resources/views/artefact/default.blade.php
+++ b/resources/views/artefact/default.blade.php
@@ -9,44 +9,46 @@
 
 
 @section('content')
-    <div class="jumbotron">
-        <div class="text-center">
-            <h1>Artefact list</h1>
-            <p>
-                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                Morbi scelerisque luctus velit.
-                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-            </p>
+    <div class="container">
+        <div class="jumbotron mt-5">
+            <div class="text-center">
+                <h1>Artefact list</h1>
+                <p>
+                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                    Morbi scelerisque luctus velit.
+                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                </p>
+            </div>
         </div>
-    </div>
 
-    @if (count($artefacts) === 0)
-        <div class="text-center">
-            <h2>Currently no artefacts available.</h2>
-        </div>
-    @else
-        @foreach ($artefacts as $artefact)
-            <div class="artefacts-area mb-5">
-                <div class="card">
-                    <svg class="bd-placeholder-img card-img-top" width="100%" height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: Image cap"><title>Placeholder</title><rect width="100%" height="100%" fill="#868e96"></rect><text x="45%" y="50%" fill="#dee2e6" dy=".3em">Artefact image</text></svg>
-                    <div class="card-body">
-                        <h5 class="card-title"><a href="{{ url('/artefact/' . $artefact->id) }}">{{$artefact->name}}</a> - {{$artefact->author}}</h5>
-                        <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
-                        <p class="card-text">
-                            Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                            Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                            Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                            Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                            Morbi scelerisque luctus velit.
-                            Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-                        </p>
+        @if (count($artefacts) === 0)
+            <div class="text-center">
+                <h2>Currently no artefacts available.</h2>
+            </div>
+        @else
+            @foreach ($artefacts as $artefact)
+                <div class="artefacts-area mb-5">
+                    <div class="card">
+                        <svg class="bd-placeholder-img card-img-top" width="100%" height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: Image cap"><title>Placeholder</title><rect width="100%" height="100%" fill="#868e96"></rect><text x="45%" y="50%" fill="#dee2e6" dy=".3em">Artefact image</text></svg>
+                        <div class="card-body">
+                            <h5 class="card-title"><a href="{{ url('/artefact/' . $artefact->id) }}">{{$artefact->name}}</a> - {{$artefact->author}}</h5>
+                            <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
+                            <p class="card-text">
+                                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                                Morbi scelerisque luctus velit.
+                                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                            </p>
+                        </div>
                     </div>
                 </div>
-            </div>
-        @endforeach
-    @endif
+            @endforeach
+        @endif
+    </div>
 
 @endsection
diff --git a/resources/views/artefact/view.blade.php b/resources/views/artefact/view.blade.php
index e0f43b6..0732dd2 100644
--- a/resources/views/artefact/view.blade.php
+++ b/resources/views/artefact/view.blade.php
@@ -10,49 +10,48 @@
 
 
 @section('content')
-    <div class="jumbotron">
-        <div class="text-center">
-            <h1>Artefact</h1>
-            <p>
-                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                Morbi scelerisque luctus velit.
-                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-            </p>
+    <div class="container">
+        <div class="jumbotron mt-5">
+            <div class="text-center">
+                <h1>Artefact</h1>
+                <p>
+                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                    Morbi scelerisque luctus velit.
+                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                </p>
+            </div>
         </div>
-    </div>
 
-    @if (is_null($artefact))
-        <div class="text-center">
-            <h2>Currently no artefacts available.</h2>
-        </div>
-    @else
-        <div class="artefact-area mb-5">
-            <div class="card">
-                <div class="card-body">
-                    <h2 class="text-uppercase card-title">{{$artefact->name}}</h2>
-                    <h5>{{$artefact->author}}</h5>
-                    <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
-                    <p class="card-text">
-                        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                        Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                        Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                        Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                        Morbi scelerisque luctus velit.
-                        Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-                    </p>
-                    <p>
-                        @if (count($artefact->metadata) > 0)
-                            <a href="{{ url('/detail/' . $artefact->id) }}">Notes related to artefact</a>
-                        @endif
-                    </p>
+        @if (is_null($artefact))
+            <div class="text-center">
+                <h2>Currently no artefacts available.</h2>
+            </div>
+        @else
+            <div class="artefact-area mb-5">
+                <div class="card">
+                    <div class="card-body">
+                        <h2 class="text-uppercase card-title">{{$artefact->name}}</h2>
+                        <h5>{{$artefact->author}}</h5>
+                        <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
+                        <p class="card-text">
+                            Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                            Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                            Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                            Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                            Morbi scelerisque luctus velit.
+                            Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                        </p>
+                        <p>
+                            @if (count($artefact->metadata) > 0)
+                                <a href="{{ url('/detail/' . $artefact->id) }}">Notes related to artefact</a>
+                            @endif
+                        </p>
+                    </div>
                 </div>
             </div>
-        </div>
-    @endif
-
-
-
+        @endif
+    </div>
 @endsection
diff --git a/resources/views/detail/index.blade.php b/resources/views/detail/index.blade.php
index 80043f3..2ceba4e 100644
--- a/resources/views/detail/index.blade.php
+++ b/resources/views/detail/index.blade.php
@@ -10,47 +10,49 @@
 @endsection
 
 @section('content')
-    <div class="jumbotron">
-        <div class="text-center">
-            @if (isset($arrArtefact))
-                <h1>Notes list</h1>
-                <p>
-                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                    Morbi scelerisque luctus velit.
-                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-                </p>
-            @else
-                <h2>Given artefact does not exist!</h2>
-            @endif
-        </div>
-    </div>
-    @if(isset($arrArtefact))
-        <div class="artefact-area text-center mb-4">
-            <h2>{{$arrArtefact->name}}</h2>
-            <h4>{{$arrArtefact->author}}, {{$arrArtefact->year}}</h4>
-            <h5 class="text-muted">{{$arrArtefact->pages}} pages, <i class="fas fa-thumbs-up"></i> {{$likes}}</h5>
+    <div class="container">
+        <div class="jumbotron mt-5">
+            <div class="text-center">
+                @if (isset($arrArtefact))
+                    <h1>Notes list</h1>
+                    <p>
+                        Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                        Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                        Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                        Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                        Morbi scelerisque luctus velit.
+                        Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                    </p>
+                @else
+                    <h2>Given artefact does not exist!</h2>
+                @endif
+            </div>
         </div>
-        @if(count($metadata) > 0)
-            <ul class="list-group">
-            @foreach($metadata as $meta)
-                <div class="note-area mb-3">
+        @if(isset($arrArtefact))
+            <div class="artefact-area text-center mb-4">
+                <h2>{{$arrArtefact->name}}</h2>
+                <h4>{{$arrArtefact->author}}, {{$arrArtefact->year}}</h4>
+                <h5 class="text-muted">{{$arrArtefact->pages}} pages, <i class="fas fa-thumbs-up"></i> {{$likes}}</h5>
+            </div>
+            @if(count($metadata) > 0)
+                <ul class="list-group">
+                    @foreach($metadata as $meta)
+                        <div class="note-area mb-3">
+                            <li class="list-group-item">
+                                On {{$meta->page}} page:<br>
+                                {{$meta->noteCZ}}<br>
+                                {{$meta->noteEN}}<br>
+                            </li>
+                        </div>
+                    @endforeach
+                </ul>
+            @else
+                <ul class="list-group">
                     <li class="list-group-item">
-                        On {{$meta->page}} page:<br>
-                        {{$meta->noteCZ}}<br>
-                        {{$meta->noteEN}}<br>
+                        <h3>No notes for this BOOK were found!</h3>
                     </li>
-                </div>
-            @endforeach
-            </ul>
-        @else
-            <ul class="list-group">
-                <li class="list-group-item">
-                    <h3>No notes for this BOOK were found!</h3>
-                </li>
-            </ul>
+                </ul>
+            @endif
         @endif
-    @endif
+    </div>
 @endsection
diff --git a/resources/views/favartefacts/index.blade.php b/resources/views/favartefacts/index.blade.php
index 586e2e6..b82228f 100644
--- a/resources/views/favartefacts/index.blade.php
+++ b/resources/views/favartefacts/index.blade.php
@@ -8,53 +8,55 @@
 @endsection
 
 @section('content')
-    <div class="jumbotron">
-        <div class="text-center">
-            <h1>Favorite artefacts</h1>
-            <p>
-                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                Morbi scelerisque luctus velit.
-                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-            </p>
+    <div class="container">
+        <div class="jumbotron mt-5">
+            <div class="text-center">
+                <h1>Favorite artefacts</h1>
+                <p>
+                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                    Morbi scelerisque luctus velit.
+                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                </p>
+            </div>
         </div>
-    </div>
-    {{--<p>The id of the user is {{$user->id}}</p>--}}
-    @if(isset($artefacts))
-        @if(count($artefacts) >= 1)
-            @foreach($artefacts as $artefact)
-                <div class="artefacts-area mb-5">
-                    <div class="card">
-                        <svg class="bd-placeholder-img card-img-top" width="100%" height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: Image cap"><title>Placeholder</title><rect width="100%" height="100%" fill="#868e96"></rect><text x="45%" y="50%" fill="#dee2e6" dy=".3em">Artefact image</text></svg>
-                        <div class="card-body">
-                            <h5 class="card-title"><a href="{{ url('/artefact/' . $artefact->id) }}">{{$artefact->name}}</a> - {{$artefact->author}}</h5>
-                            <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
-                            <p class="card-text">
-                                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                                Morbi scelerisque luctus velit.
-                                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-                            </p>
+        {{--<p>The id of the user is {{$user->id}}</p>--}}
+        @if(isset($artefacts))
+            @if(count($artefacts) >= 1)
+                @foreach($artefacts as $artefact)
+                    <div class="artefacts-area mb-5">
+                        <div class="card">
+                            <svg class="bd-placeholder-img card-img-top" width="100%" height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img" aria-label="Placeholder: Image cap"><title>Placeholder</title><rect width="100%" height="100%" fill="#868e96"></rect><text x="45%" y="50%" fill="#dee2e6" dy=".3em">Artefact image</text></svg>
+                            <div class="card-body">
+                                <h5 class="card-title"><a href="{{ url('/artefact/' . $artefact->id) }}">{{$artefact->name}}</a> - {{$artefact->author}}</h5>
+                                <h6 class="card-subtitle mb-2 text-muted">{{$artefact->year}}, {{$artefact->pages}} pages</h6>
+                                <p class="card-text">
+                                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                                    Morbi scelerisque luctus velit.
+                                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                                </p>
+                            </div>
                         </div>
                     </div>
-                </div>
-            @endforeach
+                @endforeach
+            @else
+                <ul class="list-group">
+                    <li class="list-group-item">
+                        <h3>No favorites were added!</h3>
+                    </li>
+                </ul>
+            @endif
         @else
             <ul class="list-group">
                 <li class="list-group-item">
-                    <h3>No favorites were added!</h3>
+                    <h3>Not found the USER in the database with number id {{$user->id}}!</h3>
                 </li>
             </ul>
         @endif
-    @else
-        <ul class="list-group">
-            <li class="list-group-item">
-                <h3>Not found the USER in the database with number id {{$user->id}}!</h3>
-            </li>
-        </ul>
-    @endif
+    </div>
 @endsection
diff --git a/resources/views/favmetadata/index.blade.php b/resources/views/favmetadata/index.blade.php
index 50d70d8..f7011e4 100644
--- a/resources/views/favmetadata/index.blade.php
+++ b/resources/views/favmetadata/index.blade.php
@@ -8,39 +8,41 @@
 @endsection
 
 @section('content')
-    <div class="jumbotron">
-        <div class="text-center">
-            <h1>Favorite metadata</h1>
-            <p>
-                Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
-                Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
-                Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
-                Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
-                Morbi scelerisque luctus velit.
-                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
-            </p>
+    <div class="container">
+        <div class="jumbotron mt-5">
+            <div class="text-center">
+                <h1>Favorite metadata</h1>
+                <p>
+                    Lorem ipsum dolor sit amet, consectetuer adipiscing elit.
+                    Mauris dolor felis, sagittis at, luctus sed, aliquam non, tellus.
+                    Fusce tellus odio, dapibus id fermentum quis, suscipit id erat.
+                    Morbi scelerisque luctus velit. Vivamus porttitor turpis ac leo.
+                    Morbi scelerisque luctus velit.
+                    Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
+                </p>
+            </div>
         </div>
-    </div>
 
-    <div class="metadata-area">
-        @if(count($metadata) > 0)
-            <ul class="list-group">
-                @foreach($metadata as $meta)
-                    <div class="note-area mb-3">
-                        <li class="list-group-item">
-                            On {{$meta->page}} page:<br>
-                            {{$meta->noteCZ}}<br>
-                            {{$meta->noteEN}}<br>
-                        </li>
-                    </div>
-                @endforeach
-            </ul>
-        @else
-            <ul class="list-group">
-                <li class="list-group-item">
-                    <h3>No notes for this BOOK were found!</h3>
-                </li>
-            </ul>
-        @endif
+        <div class="metadata-area">
+            @if(count($metadata) > 0)
+                <ul class="list-group">
+                    @foreach($metadata as $meta)
+                        <div class="note-area mb-3">
+                            <li class="list-group-item">
+                                On {{$meta->page}} page:<br>
+                                {{$meta->noteCZ}}<br>
+                                {{$meta->noteEN}}<br>
+                            </li>
+                        </div>
+                    @endforeach
+                </ul>
+            @else
+                <ul class="list-group">
+                    <li class="list-group-item">
+                        <h3>No notes for this BOOK were found!</h3>
+                    </li>
+                </ul>
+            @endif
+        </div>
     </div>
 @endsection
diff --git a/resources/views/layouts/app.blade.php b/resources/views/layouts/app.blade.php
index ea54383..8446bcc 100644
--- a/resources/views/layouts/app.blade.php
+++ b/resources/views/layouts/app.blade.php
@@ -21,24 +21,15 @@
 </head>
 <body>
     <div id="app">
-        @include('inc/navbar')
-
-        <main class="py-4">
-            <div class="container">
-                <nav aria-label="breadcrumb">
-                    <ol class="breadcrumb">
-                        @yield('breadcrumb')
-                    </ol>
-                </nav>
+        @if(!Request::is('/'))
+            @include('inc/navbar')
+        @endif
 
+        <main class="py">
+            <div class="custom-container">
                 <div class="content-area">
                     @yield('content')
                 </div>
-
-                <hr>
-                <footer class="container">
-                    © 2020
-                </footer>
             </div>
         </main>
     </div>
diff --git a/resources/views/pages/index.blade.php b/resources/views/pages/index.blade.php
index 12c8fc1..6a7bf1e 100644
--- a/resources/views/pages/index.blade.php
+++ b/resources/views/pages/index.blade.php
@@ -2,41 +2,40 @@
 
 @section('title', 'Homepage')
 
-@section('breadcrumb')
-    <li class="breadcrumb-item active" aria-current="page">Homepage</li>
-@endsection
-
 @section('content')
-    <div class="text-center">
-        <img src=".." alt="upm">
-    </div>
+
     <div id="homepage_carousel" class="carousel slide" data-ride="carousel">
-        <div class="row">
-            <div class="col-md-4">
-                <a href="">
-                    <img src=".." alt="facebook">
-                </a>
-            </div>
-            <div class="col-md-4 text-center">
-                <a href="">
-                    <img src=".." alt="instagram">
-                </a>
-            </div>
-            <div class="col-md-4 text-right">
-                <a href="">
-                    <img src=".." alt="wikipedia">
-                </a>
+        <div class="carousel-inner">
+            <div class="logos-overlay">
+                <div class="museum-logo">
+                    <div class="text-center">
+                        <img src="{{ asset('images/icons/upm-logo.png') }}" alt="upm">
+                    </div>
+                </div>
+                <div class="row social-logo">
+                    <div class="col-md-4">
+                        <a href="">
+                            <img src="{{ asset('images/icons/facebook.png') }}" alt="facebook">
+                        </a>
+                    </div>
+                    <div class="col-md-4">
+                        <a href="">
+                            <img src="{{ asset('images/icons/instagram.png') }}" alt="instagram">
+                        </a>
+                    </div>
+                    <div class="col-md-4">
+                        <a href="">
+                            <img src="{{ asset('images/icons/wikipedia.png') }}" alt="wikipedia">
+                        </a>
+                    </div>
+                </div>
+                <div class="carousel-button">
+                    <a class="btn button-square" href="{{ url('/artefact') }}" role="button">enter</a>
+                </div>
             </div>
-        </div>
-
 
-        <div class="carousel-inner">
-            <div class="carousel-item active">
-                <img class="d-block w-100" src="{{ asset('images/homepage/logo_1.jpg') }}" alt="First slide">
+            <div class="carousel-item active" style="background-image: url({{ asset('../images/homepage/carousel_1.jpg') }})">
             </div>
-            <!-- <div class="carousel-item">
-                <img class="d-block w-100" src="{{ asset('images/homepage/logo_1.jpg') }}" alt="First slide">
-            </div> -->
         </div>
         <div class="carousel-caption d-md-block">
             <h2 class="text-center">kaplicky</h2>
@@ -54,7 +53,4 @@
             <span class="sr-only">Next</span>
         </a>
     </div>
-    <div class="text-center mt-5">
-        <a class="btn button-square" href="{{ url('/artefact') }}" role="button">enter</a>
-    </div>
 @endsection
